Subject: Re: SHA256 support not experimental, or?

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Jun 2023 13:56:57 -0700

Adam Majer <[email-masked]> writes:

> So maybe my question should be reworded to "is sha256 still considered
> early stage, for testing purposes only with possible data-loss or can
> it be relied on for actual long lived repositories?"

My understanding is that they are in a happy place where they are
just as usable as SHA-1 based repositories have been.  As we have
well-worked out interoperability design but no implementation, it
may have to change once we discover something missing in the design,
though.  But without such clarification, you already know the answer
to the above question in the message you are responding to.  Having
a migration path means "possible data-los" is not in the picture.

> The scary wording should be removed
> though, as currently it sounds like "data loss incoming and it's your
> fault" if one chooses sha256

Good.

THanks.